
#ifdef WIN32
	#include <windows.h>
	#pragma comment(lib, "Irrlicht.lib")
#endif

#include <irrlicht.h>

using namespace irr;
using namespace core;
using namespace video;
using namespace scene;

#ifdef WIN32
	int WINAPI WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR strCmdLine, int nShowCmd)
#else
	int main()
#endif
{
	IrrlichtDevice *device = createDevice(EDT_OPENGL,dimension2d<s32>(320,240),16,false,false,0);
	IVideoDriver *driver = device->getVideoDriver();
	ISceneManager* smgr  = device->getSceneManager();

	device->setWindowCaption(L"Irrlicht");//EChE^Cgݒ

	//Cg
//	smgr->addLightSceneNode(0, vector3df(0,0,-1000), SColorf(0xFFFFFFFF), 1000.0f);

	//Jݒ
	smgr->addCameraSceneNode(0, vector3df(0,0,-20), vector3df(0,0,0));

	ISceneNode* node = smgr->addCubeSceneNode();
	ITexture* tex = driver->getTexture("wall2.bmp");
	driver->makeColorKeyTexture(tex, 0x00000000);			//J[L[ݒ(Ă̓_)
	node->setMaterialTexture(0, tex);
	node->setMaterialFlag(EMF_LIGHTING, false);				//vZ:off
	node->setMaterialFlag(EMF_BACK_FACE_CULLING, false);	//wʏ݋֎~:off
	node->setMaterialType(EMT_TRANSPARENT_ALPHA_CHANNEL);	//

	float rotate = 0.0f;

	while(device->run())
	{
		driver->beginScene(true,true,0xFF6060FF);

		//}`쐬
		node->setRotation(vector3df(45,rotate,0));
		rotate += 0.01f;

		//V[̕`
		smgr->drawAll();

		driver->endScene();
	}

	driver->drop();

	return 0;
}
